org.apache.solr.update.processor

## Class RegexpBoostProcessorFactory

- java.lang.Object
- - org.apache.solr.update.processor.UpdateRequestProcessorFactory
  - - org.apache.solr.update.processor.RegexpBoostProcessorFactory

- All Implemented Interfaces:
    NamedListInitializedPlugin

      public class RegexpBoostProcessorFactory
      extends UpdateRequestProcessorFactory

  Factory which creates RegexBoostProcessors

  The factory initializes a shared object cache which is passed to the processor and this way reduces rules file parsing to the first time the UpdateChain is initialized.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.update.processor.UpdateRequestProcessorFactory

      `UpdateRequestProcessorFactory.RunAlways`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegexpBoostProcessorFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UpdateRequestProcessor` | `getInstance(SolrQueryRequest request, SolrQueryResponse response, UpdateRequestProcessor nextProcessor)`
    `void` | `init(NamedList args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RegexpBoostProcessorFactory

          public RegexpBoostProcessorFactory()

  - ### Method Detail

    - #### init

          public void init(NamedList args)

      Specified by:
        `init` in interface `NamedListInitializedPlugin`
      Overrides:
        `init` in class `UpdateRequestProcessorFactory`

    - #### getInstance

          public UpdateRequestProcessor getInstance(SolrQueryRequest request,
                                                    SolrQueryResponse response,
                                                    UpdateRequestProcessor nextProcessor)

      Specified by:
        `getInstance` in class `UpdateRequestProcessorFactory`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.